Event Registrations
Alle Operationen rund um Event Registrations.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Event Registration | event_registration |
27 | — | event_registration_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/event_registrations |
Create event_registration | Create a new event_registration in the active tenant. |
DELETE |
/v1/event_registrations/{id} |
Delete event_registration | Soft delete entity. |
GET |
/v1/event_registrations/{id} |
Get event_registration by id | Fetch a single event_registration. |
GET |
/v1/event_registrations/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/event_registrations/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/event_registrations/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/event_registrations |
List event_registrations | List event_registrations for the active tenant. |
PATCH |
/v1/event_registrations/{id} |
Patch event_registration | JSON Merge Patch update. |
POST |
/v1/event_registrations/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/event_registrations/{id}/transition |
POST /v1/event_registrations/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/event_registrations/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/event_registrations/{id} |
Replace event_registration | Full replace with optimistic locking. |